Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.query
Class QueryEngine

    java.lang.Object
      org.mindswap.pellet.query.QueryEngine

    public class QueryEngine

extends java.lang.Object

Author:
  Evren Sirin

Field Summary
`static com.hp.hpl.jena.query.Syntax` | `DEFAULT_SYNTAX`
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`QueryEngine()`

Method Summary
`static void` | `computeSizeEstimates(KnowledgeBase kb)`
`static void` | `computeSizeEstimates(Query... queries)`
`static QueryParser` | `createParser()`
`static QueryParser` | `createParser(com.hp.hpl.jena.query.Syntax syntax)`
`static QueryResults` | `exec(Query query)`
`static QueryResults` | `exec(Query query, KnowledgeBase kb)`
`static QueryResults` | `exec(java.lang.String queryStr, KnowledgeBase kb)`
`static QueryResults` | `exec(java.lang.String queryStr, KnowledgeBase kb, com.hp.hpl.jena.query.Syntax syntax)`
`static boolean` | `execBoolean(Query query)`
`static QueryResults` | `execRDQL(java.lang.String queryStr, KnowledgeBase kb)`
`static QueryResults` | `execSPARQL(java.lang.String queryStr, KnowledgeBase kb)`
`static QueryResults` | `getSubsumptionMappings(Query sub, Query sup)`
`static QueryResults` | `getSubsumptionMappings(Query sub, Query sup, KnowledgeBase backgroundKB)`
`static boolean` | `isEquivalent(Query q1, Query q2)`
`static boolean` | `isSubsumed(Query sub, Query sup)` Deprecated. Use `isSubsumed(Query, Query)`
`static boolean` | `isSubsumed(Query sub, Query sup, KnowledgeBase backgroundKB)` Deprecated. Use `isSubsumed(Query, Query, KnowledgeBase)`
`static boolean` | `isSubsumedBy(Query sub, Query sup)`
`static boolean` | `isSubsumedBy(Query sub, Query sup, KnowledgeBase backgroundKB)`
`static Query` | `parse(java.lang.String queryStr, KnowledgeBase kb)`
`static Query` | `parse(java.lang.String queryStr, KnowledgeBase kb, com.hp.hpl.jena.query.Syntax syntax)`
`static void` | `prepare(KnowledgeBase kb)` Deprecated. Renamed to `computeSizeEstimates(KnowledgeBase)`
`static void` | `prepare(Query... queries)` Deprecated. Renamed to `computeSizeEstimates(Query...)`
`static Query` | `reorder(Query query)`
`static void` | `simplify(Query query)`
`static java.util.List` | `split(Query query)` If a query has disconnected components such as C(x), D(y) then it should be answered as two separate queries.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final org.apache.commons.logging.Log log

### DEFAULT_SYNTAX

    public static final com.hp.hpl.jena.query.Syntax DEFAULT_SYNTAX

Constructor Detail

### QueryEngine

    public QueryEngine()

Method Detail

### createParser

    public static QueryParser createParser()

### createParser

    public static QueryParser createParser(com.hp.hpl.jena.query.Syntax syntax)

### exec

    public static QueryResults exec(java.lang.String queryStr,
                                    KnowledgeBase kb)

### execRDQL

    public static QueryResults execRDQL(java.lang.String queryStr,
                                        KnowledgeBase kb)

### execSPARQL

    public static QueryResults execSPARQL(java.lang.String queryStr,
                                          KnowledgeBase kb)

### parse

    public static Query parse(java.lang.String queryStr,
                              KnowledgeBase kb)

### parse

    public static Query parse(java.lang.String queryStr,
                              KnowledgeBase kb,
                              com.hp.hpl.jena.query.Syntax syntax)

### exec

    public static QueryResults exec(java.lang.String queryStr,
                                    KnowledgeBase kb,
                                    com.hp.hpl.jena.query.Syntax syntax)

### exec

    public static QueryResults exec(Query query,
                                    KnowledgeBase kb)

### exec

    public static QueryResults exec(Query query)

### reorder

    public static Query reorder(Query query)

### split

    public static java.util.List split(Query query)

  If a query has disconnected components such as C(x), D(y) then it should be answered as two separate queries. The answers to each query should be combined at the end by taking Cartesian product.(we combine results on a tuple basis as results are iterated. This way we avoid generating the full Cartesian product. Splitting the query ensures the correctness of the answer, e.g. rolling-up technique becomes applicable.

  Parameters:
    `query` - Query to be split
  Returns:
    List of queries (contains the initial query if the initial query is connected)

### simplify

    public static void simplify(Query query)

### prepare

    public static void prepare(KnowledgeBase kb)

  Deprecated. Renamed to `computeSizeEstimates(KnowledgeBase)`

### computeSizeEstimates

    public static void computeSizeEstimates(KnowledgeBase kb)

### prepare

    public static void prepare(Query... queries)

  Deprecated. Renamed to `computeSizeEstimates(Query...)`

### computeSizeEstimates

    public static void computeSizeEstimates(Query... queries)

### execBoolean

    public static boolean execBoolean(Query query)

### isEquivalent

    public static boolean isEquivalent(Query q1,
                                       Query q2)

### isSubsumed

    public static boolean isSubsumed(Query sub,
                                     Query sup)

  Deprecated. Use `isSubsumed(Query, Query)`

### isSubsumedBy

    public static boolean isSubsumedBy(Query sub,
                                       Query sup)

### isSubsumed

    public static boolean isSubsumed(Query sub,
                                     Query sup,
                                     KnowledgeBase backgroundKB)

  Deprecated. Use `isSubsumed(Query, Query, KnowledgeBase)`

### isSubsumedBy

    public static boolean isSubsumedBy(Query sub,
                                       Query sup,
                                       KnowledgeBase backgroundKB)

### getSubsumptionMappings

    public static QueryResults getSubsumptionMappings(Query sub,
                                                      Query sup)

### getSubsumptionMappings

    public static QueryResults getSubsumptionMappings(Query sub,
                                                      Query sup,
                                                      KnowledgeBase backgroundKB)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.